Download it now!
Bug 62760 - Copying chart reformat's chart text and label
Summary: Copying chart reformat's chart text and label
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Chart-Labels
  Show dependency treegraph
 
Reported: 2013-03-26 12:42 UTC by bjarnen
Modified: 2018-08-11 02:36 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Chart text should reformat when copy in calc or writer 4.0.1.2 (13.95 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-03-26 12:42 UTC, bjarnen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bjarnen 2013-03-26 12:42:59 UTC
Created attachment 77046 [details]
Chart text should reformat when copy in calc or writer 4.0.1.2

Problem description: 

Chart text become distorted after copying chart inside calc or to writer - both when inserting as XML or GDI metafile

It is especially text that has been inserted via the "text insert tool" that get reformated. 

This don't remember this was a problem before updating to ver. 4.0.1.2 

Hope a solution can be found as it is important to be able to copy charts.
Comment 1 Joel Madero 2013-03-26 13:10:03 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version 3.6.5.2 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Normal - can prevent high quality work
High - as author has pointed out, copying a chart is quite important and used frequently

Other notes: The chart looks substantially different in 3.6 vs. 4.0.2.1 for test document. Might require a separate bug report though.

Markus or Kohei - this one yours?

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 A (Andy) 2014-09-27 10:21:50 UTC
for me not reproducible with LO 4.3.2.2 (Win 8.1)

Does this issue still persist for you or anybody else with the latest release of LO?
Comment 3 QA Administrators 2015-10-14 19:56:47 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-12-03 14:28:31 UTC
bjarnen: Please attach a screenshot of how the distortion looks like.
Comment 5 QA Administrators 2017-01-03 19:40:50 UTC Comment hidden (obsolete)
Comment 6 Dimitri Bouron 2017-08-10 12:40:57 UTC
I can confirm bug on LO 6.0.0 with several behaviours according bug reproduction process.

Based on initial attachment:

- Copy chart to new Calc sheet -> Text ok and data ok.
- Copy selected range D1:K26 to new Calc sheet -> Text ok and data ok.
- Copy chart to new Writer doc -> Text ok and data loss.
- Copy selected range D1:K26 to new Writer doc -> Text ok and data reset to zero.
Comment 7 QA Administrators 2018-08-11 02:36:24 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug